Skip to content
BrainyShorts Docs
Esc
navigateopen⌘Jpreview

Start a run

Idempotent per idempotency_key; runners use ${automation_id}:${revision}:${scheduled_for}. Returns a run token (ba_run_..., valid for 6 hours) for the child agent.

POST/api/agent/automations/{id}/start
Authorization
AuthorizationBearer token (ba_sk_...) · headerrequired

API key from /dashboard/api-keys. Keys expire after 365 days.

Path parameters
idstringrequired

Automation id

Request body
requiredapplication/json
executor_idstringrequired
revisionintegerrequired
idempotency_keystringrequired
max length 200
scheduled_forstring<date-time>
Responses
200

OK

runobject
run_tokenstring
run_token_expires_atstring<date-time>
401

Missing, invalid, expired, or revoked API key

errorstringrequired
codestring
409

AUTOMATION_PAUSED, REVISION_STALE, NO_TARGETS, or WRONG_EXECUTION_MODE

errorstringrequired
codestring
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST "https://www.brainyshorts.com/api/agent/automations/string/start" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "executor_id": "string",
  "revision": 0,
  "idempotency_key": "string",
  "scheduled_for": "2019-08-24T14:15:22Z"
}'
Response
{
  "run": {},
  "run_token": "string",
  "run_token_expires_at": "2019-08-24T14:15:22Z"
}